<?php
/*---------------------------------------------------+
| PHP-Fusion 6 Content Management System
+----------------------------------------------------+
| author: Nick Jones (Digitanium)  2002-2005 
| web: http://www.php-fusion.co.uk            
| email: nick@php-fusion.co.uk          
+----------------------------------------------------+
| Recipes infusion for PHP-Fusion
| Copyright  2006 blauwlap
| blauwlap@gmx.net
+----------------------------------------------------+
| Released under the terms & conditions of v2 of the
| GNU General Public License. For details refer to
| the included gpl.txt file or visit http://gnu.org
+----------------------------------------------------*/
if (!defined("IN_FUSION") || !checkRights("I")) { header("Location: ../../index.php"); exit; }

if (file_exists(INFUSIONS."recepten_panel/locale/".$settings['locale'].".php")) {
	include INFUSIONS."recepten_panel/locale/".$settings['locale'].".php";
} else {
	include INFUSIONS."recepten_panel/locale/English.php";
}

// Infusion Information
$inf_title = "Przepisy";
$inf_version = "1.05";
$inf_developer = "blauwlap";
$inf_email = "blauwlap@gmx.net";
$inf_weburl = "http://blauwlap.lunamoon.net";
$inf_description = "Przepisy";
$inf_folder = "recepten_panel";
$inf_admin = "admin.php";
$inf_link_name = "Przepisy";
$inf_link_url = "recepten.php";
$inf_admin_image = "recipes.gif"; 
$inf_admin_panel = "admin.php"; 

$inf_newtables = 2; // Number of new db tables to create or drop.
//$inf_insertdbrows = 0; // Numbers rows added into created db tables.
//$inf_altertables = 0; // Number of db tables to alter (upgrade).
//$inf_deldbrows = 0; // Number of db tables to delete data from.

// Database Table information 
$inf_newtable_[1] = "recepten (
	recepten_id SMALLINT(5) UNSIGNED NOT NULL AUTO_INCREMENT,
	recepten_cat SMALLINT(5) UNSIGNED NOT NULL DEFAULT '0',
	recepten_subject VARCHAR(200) NOT NULL DEFAULT '',
	recepten_snippet TEXT NOT NULL,
	recepten_recepten TEXT NOT NULL,
	recepten_breaks CHAR(1) NOT NULL DEFAULT '',
	recepten_name SMALLINT(5) UNSIGNED NOT NULL DEFAULT '1',
	recepten_datestamp INT(10) UNSIGNED NOT NULL DEFAULT '0',
	recepten_reads SMALLINT(5) UNSIGNED NOT NULL DEFAULT '0',
	recepten_allow_comments TINYINT(1) UNSIGNED NOT NULL DEFAULT '1',
	recepten_allow_ratings TINYINT(1) UNSIGNED NOT NULL DEFAULT '1',
	PRIMARY KEY (recepten_id)
	) TYPE=MyISAM;";
	
$inf_newtable_[2] = "recepten_cats (
	recepten_cat_id SMALLINT(5) UNSIGNED NOT NULL AUTO_INCREMENT,
	recepten_parent TINYINT( 3 ) NOT NULL default '0',
	recepten_cat_name VARCHAR(100) NOT NULL DEFAULT '',
	recepten_cat_description VARCHAR(200) NOT NULL DEFAULT '',
	recepten_cat_sorting VARCHAR(50) NOT NULL DEFAULT 'recepten_subject ASC',
	recepten_cat_access TINYINT(3) UNSIGNED NOT NULL DEFAULT '0',
	PRIMARY KEY (recepten_cat_id)
	) TYPE=MyISAM;";

$inf_droptable_[1] = "recepten";
$inf_droptable_[2] = "recepten_cats";

?>