<?php
/*---------------------------------------------------+
| PHP-Fusion 6 Content Management System
+----------------------------------------------------+
| author: Nick Jones (Digitanium)  2002-2005 
| web: http://www.php-fusion.co.uk            
+----------------------------------------------------+
| Recipes infusion for PHP-Fusion
| Copyright  2006 blauwlap
| blauwlap@gmx.net
+----------------------------------------------------+
| Released under the terms & conditions of v2 of the
| GNU General Public License. For details refer to
| the included gpl.txt file or visit http://gnu.org
+----------------------------------------------------*/
require_once "../../maincore.php";
require_once BASEDIR."subheader.php";
require_once ADMIN."navigation.php";

if (file_exists(INFUSIONS."recepten_panel/locale/".$settings['locale'].".php")) {
	include INFUSIONS."recepten_panel/locale/".$settings['locale'].".php";
} else {
	include INFUSIONS."recepten_panel/locale/English.php";
}

if (!checkrights("IP")) fallback("../index.php");
define ("rec", "Recepten v1.5 14-05-2006"); // plz do not change !!
opentable($locale['rec255']);
	echo "<center><a href='admin.php'>".$locale['rec220']."</a> ".$locale['rec222']."
</center>\n";
	closetable();

if (isset($cat_id) && !isNum($cat_id)) fallback("index.php");

if (isset($step) && $step == "delete") {
	$result = dbquery("SELECT * FROM ".$db_prefix."recepten WHERE recepten_cat='$cat_id'");
	if (dbrows($result) != 0) {
		opentable($locale['rec150']);
		echo "<center><br>
".$locale['rec151']."<br>
<span class='small'>".$locale['rec152']."</span><br><br>
<a href='recepten_cats.php'>".$locale['rec153']."</a><br><br>
<a href='index.php'>".$locale['rec203']."</a><br><br>
</center>\n";
	} else {
		$result = dbquery("DELETE FROM ".$db_prefix."recepten_cats WHERE recepten_cat_id='$cat_id'");
		opentable($locale['rec154']);
		echo "<center><br>
".$locale['rec154']."<br><br>
<a href='recepten_cats.php'>".$locale['rec153']."</a><br><br>
<a href='index.php'>".$locale['rec203']."</a><br><br>
</center>\n";
	}
	closetable();
} else {
	if (isset($_POST['save_cat'])) {
		$cat_name = stripinput($_POST['cat_name']);		
		$cat_description = stripinput($_POST['cat_description']);
		$cat_access = isNum($_POST['cat_access']) ? $_POST['cat_access'] : "0";
		$cat_sub = isNum($_POST['cat_sub']) ? $_POST['cat_sub'] : "0";
		
		if (isset($step) && $step == "edit") {
			$result = dbquery("UPDATE ".$db_prefix."recepten_cats SET recepten_cat_name='$cat_name', recepten_cat_description='$cat_description', recepten_cat_sorting='recepten_name ASC', recepten_cat_access='$cat_access', recepten_parent='$cat_sub' WHERE recepten_cat_id='$cat_id'");
		} else {
			$result = dbquery("INSERT INTO ".$db_prefix."recepten_cats VALUES('', '$cat_sub', '$cat_name', '$cat_description', 'recepten_name ASC', '$cat_access')");		
		}
		header("Location: recepten_cats.php");
	}
	if (isset($step) && $step == "edit") {
		$result = dbquery("SELECT * FROM ".$db_prefix."recepten_cats WHERE recepten_cat_id='$cat_id'");
		$data = dbarray($result);
		$cat_name = $data['recepten_cat_name'];
		$cat_description = $data['recepten_cat_description'];
		$cat_access = $data['recepten_cat_access'];
		$formaction = FUSION_SELF."?step=edit&cat_id=".$data['recepten_cat_id'];
		opentable($locale['rec155']);
	} else {
		$cat_name = "";
		$cat_description = "";
		$cat_access = "";
		$formaction = FUSION_SELF;
		opentable($locale['rec156']);
	}
	$user_groups = getusergroups(); $access_opts = ""; $sel = "";
	while(list($key, $user_group) = each($user_groups)){
		$sel = ($cat_access == $user_group['0'] ? " selected" : "");
		$access_opts .= "<option value='".$user_group['0']."'$sel>".$user_group['1']."</option>\n";
	}
	echo "<form name='addcat' method='post' action='$formaction'>";
	
	$result_sub = dbquery("SELECT * FROM ".$db_prefix."recepten_cats ORDER BY recepten_cat_name");	
	$editlist .="<option value='0'>".$locale['rec125']."</option>\n";    
        while ($data2 = dbarray($result_sub)) {
          if ($step == "edit") $sel = ($data['recepten_parent'] == $data2['recepten_cat_id'] ? " selected" : "");
          if ($step == "edit"){            
            if ($data['recepten_cat_id'] != $data2['recepten_cat_id']){              
              $editlist .= "<option value='".$data2['recepten_cat_id']."'$sel>".$data2['recepten_cat_name']."</option>\n";    
            }
          }
          else {
            $editlist .= "<option value='".$data2['recepten_cat_id']."'$sel>".$data2['recepten_cat_name']."</option>\n";    
          }
        } 	  

echo "<form name='addcat' method='post' action='$formaction'>
<table align='center' width='400' cellspacing='0' cellpadding='0'>
<tr>
<td width='130' class='tbl'>".$locale['rec256']."</td>
<td class='tbl'><select name='cat_sub' class='textbox'>$editlist</select></td>
</tr>
<tr>
<td width='130' class='tbl'>".$locale['rec157']."</td>
<td class='tbl'><input type='text' name='cat_name' value='$cat_name' class='textbox' style='width:200px;'></td>
</tr>
<tr>
<td width='130' class='tbl'>".$locale['rec158']."</td>
<td class='tbl'><input type='text' name='cat_description' value='$cat_description' class='textbox' style='width:250px;'></td>
</tr>
<tr>
<td width='130' class='tbl'>".$locale['rec165']."</td>
<td class='tbl'><select name='cat_access' class='textbox' style='width:150px;'>
$access_opts</select></td>
</tr>
<tr>
<td align='center' colspan='2' class='tbl'>
<input type='submit' name='save_cat' value='".$locale['rec159']."' class='button'></td>
</tr>
</table>
</form>\n";
	closetable();
	tablebreak();
	opentable($locale['rec257']);
	echo "<table align='center' width='500' cellspacing='1' cellpadding='0' class='tbl-border'>\n";
	$result = dbquery("SELECT * FROM ".$db_prefix."recepten_cats ORDER BY recepten_cat_name");
	if (dbrows($result) != 0) {
		$i = 0;
		echo "<tr>
<td class='tbl2'>".$locale['rec258']."</td>
<td align='center' class='tbl2'>".$locale['rec166']."</td>
<td align='right' width='100' class='tbl2'>".$locale['rec256']."</td>
<td align='center' width='80' class='tbl2'>".$locale['rec259']."</td>
</tr>\n";
		while ($data = dbarray($result)) {
			$cell_color = ($i % 2 == 0 ? "tbl1" : "tbl2");
			echo "<tr>
<td class='$cell_color'><a href='".FUSION_SELF."?step=edit&cat_id=".$data['recepten_cat_id']."'>".$data['recepten_cat_name']."</a><br>
<span class='small'>".trimlink($data['recepten_cat_description'], 45)."</span></td>
<td align='center' class='$cell_color'>".getgroupname($data['recepten_cat_access'])."
</td><td align='center' class='$cell_color'>";

if ($data['recepten_parent'] == "0"){
  echo $locale['rec125']; 
} 
else if ($data['recepten_parent'] != "0"){
  $result_sub = dbquery("SELECT * FROM ".$db_prefix."recepten_cats WHERE recepten_cat_id = " .$data['recepten_parent']. " ORDER BY recepten_cat_name");
  while ($data_sub = dbarray($result_sub)) {
    echo $data_sub['recepten_cat_name']; 
  }
}
echo "<td align='center' class='$cell_color'><a href='".FUSION_SELF."?step=delete&cat_id=".$data['recepten_cat_id']."'>".$locale['rec210']."</a></td>";

echo "</td></tr>\n";
			$i++;
		}
		echo "</table>\n";
	} else {
		echo "<tr><td align='center' class='tbl1'>".$locale['rec218']."</td></tr>\n</table>\n";
	}
	closetable();
if (!isset($hide_version) || !$hide_version) echo "<span class='small'>".rec."</span>";
}

echo "</td>\n";
require_once BASEDIR."footer.php";
?>