<?php
/*---------------------------------------------------+
| PHP-Fusion 6 Content Management System
+----------------------------------------------------+
| author: Nick Jones (Digitanium)  2002-2005 
| web: http://www.php-fusion.co.uk            
+----------------------------------------------------+
| Recipes infusion for PHP-Fusion
| Copyright  2006 blauwlap
| blauwlap@gmx.net
+----------------------------------------------------+
| Released under the terms & conditions of v2 of the
| GNU General Public License. For details refer to
| the included gpl.txt file or visit http://gnu.org
+----------------------------------------------------*/
require_once "../../maincore.php";
require_once BASEDIR."subheader.php";
require_once BASEDIR."side_left.php";
require_once BASEDIR."includes/comments_include.php";
require_once INCLUDES."ratings_include.php";

if (file_exists(INFUSIONS."recepten_panel/locale/".$settings['locale'].".php")) {
	include INFUSIONS."recepten_panel/locale/".$settings['locale'].".php";
} else {
	include INFUSIONS."recepten_panel/locale/English.php";
}
define ("rec", "Recepten v1.5 14-05-2006"); // plz do not change !!
$news_per_page = 11; $posts_per_page = 20;

if (!isset($rowstart) || !isNum($rowstart)) $rowstart = 0;

if (isset($stype)) $stype = $stype;
if (isset($stext)) $stext = stripinput($stext);

if (!isset($stype)) $stype = isset($_POST['stype']) ? $_POST['stype'] : "a";
if (!isset($stext)) $stext = isset($_POST['stext']) ? $_POST['stext'] : "";

if ($stext != "" && strlen($stext > "3")) {
	tablebreak();
	opentable($locale['rec280']);
	if ($stype == "a") {
		$result = dbquery(
			"SELECT ta.*,tac.* FROM ".$db_prefix."recepten ta
			INNER JOIN ".$db_prefix."recepten_cats tac ON ta.recepten_cat=tac.recepten_cat_id
			WHERE ".groupaccess('recepten_cat_access')." AND (recepten_subject LIKE '%$stext%' || recepten_recepten LIKE '%$stext%')"
		);
		$rows = dbrows($result);
		if ($rows != 0) {
			echo $rows." ".($rows == 1 ? $locale['rec281'] : $locale['rec282']).$locale['rec283'].":<br><br>\n";
			$result = dbquery(
				"SELECT ta.*,tac.*, tu.user_id,user_name FROM ".$db_prefix."recepten ta
				INNER JOIN ".$db_prefix."recepten_cats tac ON ta.recepten_cat=tac.recepten_cat_id
				LEFT JOIN ".$db_prefix."users tu ON ta.recepten_name=tu.user_id
				WHERE ".groupaccess('recepten_cat_access')." AND (recepten_subject LIKE '%$stext%' || recepten_recepten LIKE '%$stext%')
				ORDER BY recepten_datestamp DESC LIMIT $rowstart,10"
			);
			while ($data = dbarray($result)) {
				if (eregi($stext, $data['recepten_subject']) && eregi($stext, $data['recepten_recepten'])) {
					$subj_c = substr_count(strtolower($data['recepten_subject']), strtolower($stext));
					$text_c = substr_count(strtolower($data['recepten_recepten']), strtolower($stext));
					echo "<a href='viewrecept.php?recepten_id=".$data['recepten_id']."'>".$data['recepten_subject']."</a><br>\n";
					echo "<span class='small2'>".$locale['rec128']."<a href='profile.php?lookup=".$data['user_id']."'>".$data['user_name']."</a>\n";
					echo $locale['rec129'].showdate("longdate", $data['recepten_datestamp'])."</span><br>\n";
					echo "<span class='small'>".$subj_c." ".($subj_c == 1 ? "Match" : "Matches").$locale['rec284'].$locale['rec285'].", ";
					echo $text_c." ".($text_c == 1 ? "Match" : "Matches").$locale['rec284'].$locale['rec286']."</span><br><br>";
				} elseif (eregi($stext, $data['recepten_recepten'])) {
					$text_c = substr_count(strtolower($data['recepten_recepten']), strtolower($stext));
					echo "<a href='viewrecept.php?recepten_id=".$data['recepten_id']."'>".$data['recepten_subject']."</a><br>\n";
					echo "<span class='small2'>".$locale['rec128']."<a href='profile.php?lookup=".$data['user_id']."'>".$data['user_name']."</a>\n";
					echo $locale['rec129'].showdate("longdate", $data['recepten_datestamp'])."</span><br>\n";
					echo "<span class='small'>".$text_c." ".($text_c == 1 ? "Match" : "Matches").$locale['rec284'].$locale['rec286']."</span><br><br>";
				} elseif (eregi($stext, $data['recepten_subject'])) {
					$subj_c = substr_count(strtolower($data['recepten_subject']), strtolower($stext));
					echo "<a href='viewrecept.php?recepten_id=".$data['recepten_id']."'>".$data['recepten_subject']."</a><br>\n";
					echo "<span class='small2'>".$locale['rec128']."<a href='profile.php?lookup=".$data['user_id']."'>".$data['user_name']."</a>\n";
					echo $locale['rec129'].showdate("longdate", $data['recepten_datestamp'])."</span><br>\n";
					echo "<span class='small'>".$subj_c." ".($subj_c == 1 ? "Match" : "Matches").$locale['rec284'].$locale['rec285']."</span><br>";
				}
			}
		} else {
			echo "<center>0 ".$locale['rec282'].$locale['rec283'].".</center>\n";
		}
// back
echo "<BR><table cellSpacing='0' width='100%' cellPadding='0' border='0'><tr>";
	if (!isset($hide_version) || !$hide_version) echo "<td align='left'><span class='small'>".rec."</span>";
	echo "<td align='right'><a href='recepten.php'><b>".$locale['rec136']."</a></b></td></tr></table>";	
//
		closetable();
	}
} 
require_once BASEDIR."side_right.php";
require_once BASEDIR."footer.php";
?>