<?php
/*---------------------------------------------------+
| PHP-Fusion 6 Content Management System
+----------------------------------------------------+
| author: Nick Jones (Digitanium)  2002-2005 
| web: http://www.php-fusion.co.uk            
| email: nick@php-fusion.co.uk          
+----------------------------------------------------+
| Recipes infusion for PHP-Fusion
| Copyright  2006 blauwlap
| blauwlap@gmx.net
+----------------------------------------------------+
| Released under the terms & conditions of v2 of the
| GNU General Public License. For details refer to
| the included gpl.txt file or visit http://gnu.org
+----------------------------------------------------*/
require_once "../../maincore.php";
require_once BASEDIR."subheader.php";
require_once BASEDIR."side_left.php";
require_once BASEDIR."includes/comments_include.php";
require_once INCLUDES."ratings_include.php";

if (file_exists(INFUSIONS."recepten_panel/locale/".$settings['locale'].".php")) {
	include INFUSIONS."recepten_panel/locale/".$settings['locale'].".php";
} else {
	include INFUSIONS."recepten_panel/locale/English.php";
}
define ("rec", "Recepten v1.5 14-05-2006"); // plz do not change !!
if (!isset($recepten_id) || !isNum($recepten_id)) fallback("index.php");
if (!isset($rowstart) || !isNum($rowstart)) $rowstart = 0;

$result = dbquery(
	"SELECT ta.*,tac.*, tu.user_id,user_name FROM ".$db_prefix."recepten ta
	INNER JOIN ".$db_prefix."recepten_cats tac ON ta.recepten_cat=tac.recepten_cat_id
	LEFT JOIN ".$db_prefix."users tu ON ta.recepten_name=tu.user_id
	WHERE recepten_id='$recepten_id'"
);
$res = 0;
if (dbrows($result) != 0) {
	$data = dbarray($result);
opentable($data['recepten_subject']);
	if (checkgroup($data['recepten_cat_access'])) {
		$res = 1;
eval("?>".nl2br($data['recepten_recepten'])."<?php ");
closetable();
if ($rowstart == 0) $result = dbquery("UPDATE ".$db_prefix."recepten SET recepten_reads=recepten_reads+1 WHERE recepten_id='$recepten_id'");

$recepten_info = array(
			"recepten_id" => $data['recepten_id'],
			"user_id" => $data['user_id'],
			"user_name" => $data['user_name'],
			"recepten_date" => $data['recepten_datestamp'],
			"recepten_breaks" => $data['recepten_breaks'],
			"recepten_comments" => dbcount("(comment_id)", "comments", "comment_type='R' AND comment_item_id='".$data['recepten_id']."'"),
			"recepten_reads" => $data['recepten_reads'],
			"recepten_allow_comments" => $data['recepten_allow_comments']			);

$result = dbquery("SELECT recepten_id FROM ".$db_prefix."recepten WHERE recepten_cat = '".$data['recepten_cat']."' ORDER BY recepten_subject");if (dbrows($result) != 0) {while($id_data = dbarray($result)) { $id_array[] = $id_data['recepten_id']; }$recepten_key = array_keys($id_array, $data['recepten_id']);$prevrecepten = $id_array[$recepten_key[0] - 1];$nextrecepten = $id_array[$recepten_key[0] + 1];} else { $prevrecepten = 0; $nextrecepten = 0; }
// navigate
opentable($locale['rec127']);
echo ($prevrecepten != 0 ?"<center><a  href='viewrecept.php?recepten_id=".$prevrecepten."'>".$locale['rec130']."</a>" : "<center>Eerste")." | ".($nextrecepten != 0 ? "<a href='viewrecept.php?recepten_id=".$nextrecepten."'>".$locale['rec131']."</a></center>" : "Laatste</center><br>");

echo $data['recepten_cat'] != 0 ? "<a  href='recepten.php?cat_id=".$data['recepten_cat']."'><center>".$locale['rec132']."</center></a><BR>":"<BR>";

// print & Email
if(iMEMBER)
		{
echo " &nbsp;&nbsp;<img src='".BASEDIR."images/friend.gif' alt='".$locale['rec046']."' style='vertical-align:middle;border:0px;'>&nbsp;".$locale['rec047']."<a href='recomend.php?recepten_id=".$data['recepten_id']."'>".$data['recepten_subject']."</a>$new<br>";
}

echo " &nbsp;&nbsp;<img src='".THEME."images/printer.gif' alt='".$locale['rec045']."' style='vertical-align:middle;border:0px;'>".$locale['rec126']."<a href='printrecept.php?recepten_id=".$data['recepten_id']."'>".$data['recepten_subject']."</a>$new<br>";

// print & Email end

echo "".$locale['040']."<a href='../../profile.php?lookup=".$data['user_id']."'>".$data['user_name']."</a> ";
	echo "".$locale['041'].showdate("longdate", $data['recepten_datestamp'])."</td>";

closetable();
// navigate end		
if (!isset($hide_version) || !$hide_version) echo "<span class='small'>".rec."</span>";

		if ($data['recepten_allow_comments'])
showcomments("R","recepten","recepten_id",$recepten_id,FUSION_SELF."?recepten_id=$recepten_id");
		if ($data['recepten_allow_ratings']) showratings("R",$recepten_id,FUSION_SELF."?recepten_id=$recepten_id");
	}
}
if ($res == 0) redirect("recepten.php");

require_once BASEDIR."side_right.php";
require_once BASEDIR."footer.php";
?>