<?php
/*---------------------------------------------------+
| PHP-Fusion 6 Content Management System
+----------------------------------------------------+
| author: Nick Jones (Digitanium)  2002-2005 
| web: http://www.php-fusion.co.uk            
| email: nick@php-fusion.co.uk          
+----------------------------------------------------+
| Recipes infusion for PHP-Fusion 
| Copyright  2006 blauwlap
| blauwlap@gmx.net
+----------------------------------------------------+
| Released under the terms & conditions of v2 of the
| GNU General Public License. For details refer to
| the included gpl.txt file or visit http://gnu.org
+----------------------------------------------------*/
require_once "../../maincore.php";
require_once ADMIN."subheader.php";
require_once ADMIN."navigation.php";


if (file_exists(INFUSIONS."recepten_panel/locale/".$settings['locale'].".php")) {
	include INFUSIONS."recepten_panel/locale/".$settings['locale'].".php";
} else {
	include INFUSIONS."recepten_panel/locale/English.php";
}

if (!checkrights("IP")) fallback("../index.php");
define ("rec", "Recepten v1.5 14-05-2006"); // plz do not change !!

	opentable($locale['rec217']);
	echo "<center><a href='recepten_cats.php'>".$locale['rec220']."</a>".$locale['rec221']."
	
</center>\n";
	closetable();

if ($settings['tinymce_enabled'] == 1) echo "<script type='text/javascript'>advanced();</script>\n";
if (isset($status)) {
	if ($status == "su") {
		$title = $locale['rec200'];
		$message = "<b>".$locale['rec201']."</b>";
	} elseif ($status == "sn") {
		$title = $locale['rec204'];
		$message = "<b>".$locale['rec205']."</b>";
	} elseif ($status == "del") {
		$title = $locale['rec206'];
		$message = "<b>".$locale['rec207']."</b>";
	}
	opentable($title);
	echo "<div align='center'>".$message."</div>\n";
	closetable();
	tablebreak();
}

$result = dbquery("SELECT * FROM ".$db_prefix."recepten_cats");
if (dbrows($result) != 0) {
	if (isset($_POST['save'])) {
		$subject = stripinput($_POST['subject']);
		$body = addslash($_POST['body']);
		$body2 = addslash($_POST['body2']);
		if ($settings['tinymce_enabled'] != 1) { $breaks = isset($_POST['line_breaks']) ? "y" : "n"; } else { $breaks = "y"; }
		$comments = isset($_POST['recepten_comments']) ? "1" : "0";
		$ratings = isset($_POST['recepten_ratings']) ? "1" : "0";
		if (isset($recepten_id)) {
			$result = dbquery("UPDATE ".$db_prefix."recepten SET recepten_cat='".$_POST['recepten_cat']."', recepten_subject='$subject', recepten_snippet='$body', recepten_recepten='$body2', recepten_breaks='$breaks', recepten_allow_comments='$comments', recepten_allow_ratings='$ratings' WHERE recepten_id='$recepten_id'");
			redirect(FUSION_SELF."?status=su");
		} else {
			$result = dbquery("INSERT INTO ".$db_prefix."recepten (recepten_cat, recepten_subject, recepten_snippet, recepten_recepten, recepten_breaks, recepten_name, recepten_datestamp, recepten_reads, recepten_allow_comments, recepten_allow_ratings) VALUES ('".$_POST['recepten_cat']."', '$subject', '$body', '$body2', '$breaks', '".$userdata['user_id']."', '".time()."', '0', '$comments', '$ratings')");
			redirect(FUSION_SELF."?status=sn");
		}
	} else if (isset($_POST['delete'])) {
		$result = dbquery("DELETE FROM ".$db_prefix."recepten WHERE recepten_id='$recepten_id'");
		$result = dbquery("DELETE FROM ".$db_prefix."comments WHERE comment_item_id='$recepten_id' and comment_type='A'");
		$result = dbquery("DELETE FROM ".$db_prefix."ratings WHERE rating_item_id='$recepten_id' and rating_type='A'");
		redirect(FUSION_SELF."?status=del");
	} else {
		if (isset($_POST['preview'])) {
			$recepten_cat = $_POST['recepten_cat'];
			$subject = stripinput($_POST['subject']);
			$body = phpentities(stripslash($_POST['body']));
			$body2 = phpentities(stripslash($_POST['body2']));
			$bodypreview = str_replace("src='".str_replace("../", "", IMAGES_A), "src='".IMAGES_A, stripslash($_POST['body']));
			$body2preview = str_replace("src='".str_replace("../", "", IMAGES_A), "src='".IMAGES_A, stripslash($_POST['body2']));
			if (isset($_POST['line_breaks'])) {
				$breaks = " checked";
				$bodypreview = nl2br($bodypreview);
				$body2preview = nl2br($body2preview);
			}
			$comments = isset($_POST['recepten_comments']) ? " checked" : "";
			$ratings = isset($_POST['recepten_ratings']) ? " checked" : "";
			opentable($subject);
			echo "$bodypreview\n";
			closetable();
			tablebreak();
			opentable($subject);
			echo "$body2preview\n";
			closetable();
			tablebreak();
		}
		opentable($locale['rec208']);
		$editlist = ""; $sel = "";
		$result = dbquery("SELECT * FROM ".$db_prefix."recepten ORDER BY recepten_datestamp DESC");
		if (dbrows($result) != 0) {
			while ($data = dbarray($result)) {
				if (isset($recepten_id)) $sel = ($recepten_id == $data['recepten_id'] ? " selected" : "");
				$editlist .= "<option value='".$data['recepten_id']."'$sel>".$data['recepten_subject']."</option>\n";
			}
		}
		echo "<form name='selectform' method='post' action='".FUSION_SELF."'>
<center>
<select name='recepten_id' class='textbox' style='width:250px;'>
$editlist</select>
<input type='submit' name='edit' value='".$locale['rec209']."' class='button'>
<input type='submit' name='delete' value='".$locale['rec210']."' onclick='return Deleterecepten();' class='button'>
</center>
</form>\n";
		closetable();
		tablebreak();
		if (isset($_POST['edit'])) {
			$result = dbquery("SELECT * FROM ".$db_prefix."recepten WHERE recepten_id='$recepten_id'");
			if (dbrows($result) != 0) {
				$data = dbarray($result);
				$recepten_cat = $data['recepten_cat'];
				$subject = $data['recepten_subject'];
				$body = phpentities(stripslashes($data['recepten_snippet']));
				$body2 = phpentities(stripslashes($data['recepten_recepten']));
				$breaks = ($data['recepten_breaks'] == "y" ? " checked" : "");
				$comments = ($data['recepten_allow_comments'] == "1" ? " checked" : "");
				$ratings = ($data['recepten_allow_ratings'] == "1" ? " checked" : "");
			}
		}
		if (isset($recepten_id)) {
			$action = FUSION_SELF."?recepten_id=$recepten_id";
			opentable($locale['rec200']);
		} else {
			if (!isset($_POST['preview'])) {
				$subject = "";
				$body = "";
				$body2 = "";
				$breaks = " checked";
				$comments = " checked";
				$ratings = " checked";
			}
			$action = FUSION_SELF;
			opentable($locale['rec204']);
		}
		$result = dbquery("SELECT * FROM ".$db_prefix."recepten_cats ORDER BY recepten_cat_name DESC");
		$catlist = ""; $sel = "";
		while ($data = dbarray($result)) {
			if (isset($recepten_cat)) $sel = ($recepten_cat == $data['recepten_cat_id'] ? " selected" : "");
			$catlist .= "<option value='".$data['recepten_cat_id']."'$sel>".$data['recepten_cat_name']."</option>\n";
		}
		$image_files = makefilelist(IMAGES_A, ".|..|index.php", true);
		$image_list = makefileopts($image_files);
		echo "<form name='inputform' method='post' action='$action' onSubmit='return ValidateForm(this)'>
<table align='center' cellpadding='0' cellspacing='0'>
<tr>
<td width='100' class='tbl'>".$locale['rec211']."</td>
<td class='tbl'><select name='recepten_cat' class='textbox' style='width:250px;'>
$catlist</select></td>
</tr>
<tr>
<td width='100' class='tbl'>".$locale['rec212']."</td>
<td class='tbl'><input type='text' name='subject' value='$subject' class='textbox' style='width:250px;'></td>
</tr>
<tr>
<td valign='top' width='100' class='tbl'>".$locale['rec213']."</td>
<td class='tbl'><textarea name='body' cols='95' rows='5' class='textbox'>$body</textarea></td>
</tr>\n";
		if ($settings['tinymce_enabled'] != 1) {
			echo "<tr>\n<td class='tbl'></td>\n<td class='tbl'>
<input type='button' value='b' class='button' style='font-weight:bold;width:25px;' onClick=\"addText('body', '<b>', '</b>');\">
<input type='button' value='i' class='button' style='font-style:italic;width:25px;' onClick=\"addText('body', '<i>', '</i>');\">
<input type='button' value='u' class='button' style='text-decoration:underline;width:25px;' onClick=\"addText('body', '<u>', '</u>');\">
<input type='button' value='link' class='button' style='width:35px;' onClick=\"addText('body', '<a href=\'', '\' target=\'_blank\'>Link</a>');\">
<input type='button' value='img' class='button' style='width:35px;' onClick=\"addText('body', '<img src=\'".str_replace("../","",IMAGES_A)."', '\' style=\'margin:5px;\' align=\'left\'>');\">
<input type='button' value='center' class='button' style='width:45px;' onClick=\"addText('body', '<center>', '</center>');\">
<input type='button' value='small' class='button' style='width:40px;' onClick=\"addText('body', '<span class=\'small\'>', '</span>');\">
<input type='button' value='small2' class='button' style='width:45px;' onClick=\"addText('body', '<span class=\'small2\'>', '</span>');\">
<input type='button' value='alt' class='button' style='width:25px;' onClick=\"addText('body', '<span class=\'alt\'>', '</span>');\"><br>
<select name='setcolor' class='textbox' style='margin-top:5px;' onChange=\"addText('body', '<span style=\'color:' + this.options[this.selectedIndex].value + ';\'>', '</span>');this.selectedIndex=0;\">
<option value=''>".$locale['rec120']."</option>
<option value='maroon' style='color:maroon;'>Maroon</option>
<option value='red' style='color:red;'>Red</option>
<option value='orange' style='color:orange;'>Orange</option>
<option value='brown' style='color:brown;'>Brown</option>
<option value='yellow' style='color:yellow;'>Yellow</option>
<option value='green' style='color:green;'>Green</option>
<option value='lime' style='color:lime;'>Lime</option>
<option value='olive' style='color:olive;'>Olive</option>
<option value='cyan' style='color:cyan;'>Cyan</option>
<option value='blue' style='color:blue;'>Blue</option>
<option value='navy' style='color:navy;'>Navy Blue</option>
<option value='purple' style='color:purple;'>Purple</option>
<option value='violet' style='color:violet;'>Violet</option>
<option value='black' style='color:black;'>Black</option>
<option value='gray' style='color:gray;'>Gray</option>
<option value='silver' style='color:silver;'>Silver</option>
<option value='white' style='color:white;'>White</option>
</select>
<select name='insertimage' class='textbox' style='margin-top:5px;' onChange=\"insertText('body', '<img src=\'".str_replace("../","",IMAGES_A)."' + this.options[this.selectedIndex].value + '\' style=\'margin:5px;\' align=\'left\'>');this.selectedIndex=0;\">
<option value=''>".$locale['rec121']."</option>
$image_list</select>
</td>
</tr>\n";
		}
		echo "<tr>\n<td valign='top' width='100' class='tbl'>".$locale['rec214']."</td>
<td class='tbl'><textarea name='body2' cols='95' rows='10' class='textbox'>$body2</textarea></td>
</tr>\n";
		if ($settings['tinymce_enabled'] != 1) {
			echo "<tr>\n<td class='tbl'></td><td class='tbl'>
<input type='button' value='b' class='button' style='font-weight:bold;width:25px;' onClick=\"addText('body2', '<b>', '</b>');\">
<input type='button' value='i' class='button' style='font-style:italic;width:25px;' onClick=\"addText('body2', '<i>', '</i>');\">
<input type='button' value='u' class='button' style='text-decoration:underline;width:25px;' onClick=\"addText('body2', '<u>', '</u>');\">
<input type='button' value='link' class='button' style='width:35px;' onClick=\"addText('body2', '<a href=\'', '\' target=\'_blank\'>Link</a>');\">
<input type='button' value='img' class='button' style='width:35px;' onClick=\"addText('body2', '<img src=\'".str_replace("../","",IMAGES_A)."', '\' style=\'margin:5px;\' align=\'left\'>');\">
<input type='button' value='center' class='button' style='width:45px;' onClick=\"addText('body2', '<center>', '</center>');\">
<input type='button' value='small' class='button' style='width:40px;' onClick=\"addText('body2', '<span class=\'small\'>', '</span>');\">
<input type='button' value='small2' class='button' style='width:45px;' onClick=\"addText('body2', '<span class=\'small2\'>', '</span>');\">
<input type='button' value='alt' class='button' style='width:25px;' onClick=\"addText('body2', '<span class=\'alt\'>', '</span>');\">
<input type='button' value='new page' class='button' style='width:60px;' onClick=\"insertText('body2', '<--PAGEBREAK-->');\"><br>
<select name='setcolor' class='textbox' style='margin-top:5px;' onChange=\"addText('body2', '<span style=\'color:' + this.options[this.selectedIndex].value + ';\'>', '</span>');this.selectedIndex=0;\">
<option value=''>".$locale['rec120']."</option>
<option value='maroon' style='color:maroon;'>Maroon</option>
<option value='red' style='color:red;'>Red</option>
<option value='orange' style='color:orange;'>Orange</option>
<option value='brown' style='color:brown;'>Brown</option>
<option value='yellow' style='color:yellow;'>Yellow</option>
<option value='green' style='color:green;'>Green</option>
<option value='lime' style='color:lime;'>Lime</option>
<option value='olive' style='color:olive;'>Olive</option>
<option value='cyan' style='color:cyan;'>Cyan</option>
<option value='blue' style='color:blue;'>Blue</option>
<option value='navy' style='color:navy;'>Navy Blue</option>
<option value='purple' style='color:purple;'>Purple</option>
<option value='violet' style='color:violet;'>Violet</option>
<option value='black' style='color:black;'>Black</option>
<option value='gray' style='color:gray;'>Gray</option>
<option value='silver' style='color:silver;'>Silver</option>
<option value='white' style='color:white;'>White</option>
</select>
<select name='insertimage' class='textbox' style='margin-top:5px;' onChange=\"insertText('body2', '<img src=\'".str_replace("../","",IMAGES_A)."' + this.options[this.selectedIndex].value + '\' style=\'margin:5px;\' align=\'left\'>');this.selectedIndex=0;\">
<option value=''>".$locale['rec121']."</option>
$image_list</select>
</td>
</tr>\n";
		}
		echo "<tr>
<td class='tbl'></td><td class='tbl'>";
if ($settings['tinymce_enabled'] != 1) echo "<input type='checkbox' name='line_breaks' value='yes'$breaks> ".$locale['rec117']."<br>\n";
echo "<input type='checkbox' name='recepten_comments' value='yes'$comments> ".$locale['rec123']."<br>
<input type='checkbox' name='recepten_ratings' value='yes'$ratings> ".$locale['rec124']."</td>
</tr>
<tr>
<td align='center' colspan='2' class='tbl'><br>
<input type='submit' name='preview' value='".$locale['rec215']."' class='button'>
<input type='submit' name='save' value='".$locale['rec216']."' class='button'></td>
</tr>
</table>
</form>\n";
		closetable();
		echo "<script type='text/javascript'>
function Deleterecepten() {
	return confirm('".$locale['rec252']."');
}
function ValidateForm(frm) {
	if(frm.subject.value=='') {
		alert('".$locale['rec250']."');
		return false;
	}
}
</script>\n";
	}
} else {
	opentable($locale['rec217']);
	echo "<center>".$locale['rec218']."<br>\n".$locale['rec219']."<br>
<a href='recepten_cats.php'>".$locale['rec220']."</a>".$locale['rec221']."</center>\n";
	closetable();
}
if (!isset($hide_version) || !$hide_version) echo "<span class='small'>".rec."</span>";
echo "</td>\n";
require_once BASEDIR."footer.php";
?>